<?xml version="1.0" encoding="UTF-8"?>
<?xml-stylesheet href="chrome://livemargins/skin/apps/search/searchWidget.css" type="text/css"?>

<overlay id="search-overlay"
		 xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul">
	<script src="searchWidget.js" />
	<window id="livemargins_player_window" width="310" height="450" />
	<vbox id="widget-box" style="min-width: 150px; max-width: none;"/>
	<vbox id="app-content-box">
		<hbox id="footer-box" align="center" pack="center" position="10">
			<toolbaritem flex="1">
				<textbox id="favpart_textbox_search" flex="1" type="autocomplete"
					ontextentered="return widget.onTextEntered();">
					<!--<button id="favpart_search_button" 
							oncommand="widget.switchSearchEngine();"
							image="chrome://livemargins/skin/mozilla.png"
							/>-->
					<button id="favpart_search_button" 
							image="chrome://livemargins/skin/mozilla.png"
							/>
					<hbox id="favpart_hbox_go">
					  <image id="favpart_image_go"
							 onclick="var data = document.getElementById('favpart_textbox_search').value;widget.doSearch(value)"/>
					</hbox>
				</textbox>
			</toolbaritem>
			<toolbaritem>
				<toolbarbutton id="favpart_history_btn" type="menu" 
				   autoCheck="false">
					<menupopup id="history-menupopup" onpopupshowing="widget.rebuildHistoryMenu();" crop="right" maxwidth="200"/>
				</toolbarbutton>
			</toolbaritem>
		</hbox>
	</vbox>
	<image id="app-icon" class="channel-icon" src="chrome://livemargins/skin/apps/search/searchwidget-icon.png"/>
	<browser id="player_browser" asrc="resource://livemargins/apps/search/search.html" />
	<script type="text/javascript" src="chrome://livemargins/content/apps/search/searchContentAPI.js" />
</overlay>
